"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const Logger_1 = require("../../Logger");
class MicroclimateLog {
    constructor(projectID, projectName, outputChannelName, initialMsg, logType) {
        this.projectID = projectID;
        this.projectName = projectName;
        this.logType = logType;
        this.outputChannel = vscode.window.createOutputChannel(outputChannelName);
        this.outputChannel.appendLine(initialMsg);
    }
    showOutputChannel() {
        return __awaiter(this, void 0, void 0, function* () {
            this.outputChannel.show(true);
        });
    }
    /**
     * @param logType "build" or "app"
     */
    stopUpdating() {
        return __awaiter(this, void 0, void 0, function* () {
            Logger_1.default.d("stopUpdating appLog " + this.outputChannel.name);
            this.outputChannel.appendLine(`***** This ${this.logType.toLowerCase()} log is no longer updating. ` +
                `Run the Open ${this.logType} Log command for this project to resume updating.`);
        });
    }
    destroy() {
        return __awaiter(this, void 0, void 0, function* () {
            this.stopUpdating();
            this.outputChannel.dispose();
        });
    }
}
exports.default = MicroclimateLog;
//# sourceMappingURL=MicroclimateLog.js.map